summaryrefslogtreecommitdiffstats
path: root/.travis/releaser.sh
diff options
context:
space:
mode:
authorPaweł Krupa <pawel@krupa.net.pl>2018-11-22 22:02:43 +0200
committerGitHub <noreply@github.com>2018-11-22 22:02:43 +0200
commit19e4b1c85e8e43788a08617af4cbacff0d8a170e (patch)
tree2069a9e6a92d39c72d2b6184b6280858b70b6ab2 /.travis/releaser.sh
parent9811a42c9a77c96b416b35a15565c44514aadfd4 (diff)
Move changelog generation to the end in release pipeline (#4712)v1.11.1
* move changelog generation to the end of release pipeline and create [netdata patch release] * fix configure.ac autocommit when tag is a rc tag * do not create a release when commit is not tagged
Diffstat (limited to '.travis/releaser.sh')
-rwxr-xr-x.travis/releaser.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/.travis/releaser.sh b/.travis/releaser.sh
index e74741ad2c..c184cc726b 100755
--- a/.travis/releaser.sh
+++ b/.travis/releaser.sh
@@ -40,9 +40,6 @@ echo "---- FIGURING OUT TAGS ----"
#shellcheck source=/dev/null
source .travis/tagger.sh || exit 0
-echo "---- GENERATING CHANGELOG -----"
-./.travis/generate_changelog.sh
-
echo "---- CREATING TAGGED DOCKER CONTAINERS ----"
export REPOSITORY="netdata/netdata"
./docker/build.sh
@@ -62,8 +59,16 @@ if [ -z ${GIT_TAG+x} ]; then
echo "Variable GIT_TAG is not set. Something went terribly wrong! Exiting."
exit 1
fi
+if [ "${GIT_TAG}" != "$(git tag --points-at)" ]; then
+ echo "ERROR! Current commit is not tagged. Stopping release creation."
+ exit 1
+fi
if [ -z ${RC+x} ]; then
hub release create --prerelease --draft -a "netdata-${GIT_TAG}.tar.gz" -a "netdata-${GIT_TAG}.gz.run" -a "sha256sums.txt" -m "${GIT_TAG}" "${GIT_TAG}"
else
hub release create --draft -a "netdata-${GIT_TAG}.tar.gz" -a "netdata-${GIT_TAG}.gz.run" -a "sha256sums.txt" -m "${GIT_TAG}" "${GIT_TAG}"
fi
+
+# Changelog needs to be created AFTER new release to avoid problems with circular dependencies and wrong entries in changelog file
+echo "---- GENERATING CHANGELOG -----"
+./.travis/generate_changelog.sh